package color_test

import (
	"testing"

	"git.urbach.dev/go/color"
)

func TestRGB(t *testing.T) {
	color.Terminal = true
	color.TrueColor = true

	rgbColors := map[string]color.Color{
		"black":   color.RGB(0, 0, 0),
		"white":   color.RGB(1, 1, 1),
		"gray":    color.RGB(0.5, 0.5, 0.5),
		"red":     color.RGB(1, 0, 0),
		"green":   color.RGB(0, 1, 0),
		"blue":    color.RGB(0, 0, 1),
		"cyan":    color.RGB(0, 1, 1),
		"yellow":  color.RGB(1, 1, 0),
		"orange":  color.RGB(1, 0.5, 0),
		"magenta": color.RGB(1, 0, 1),
	}

	for name, c := range rgbColors {
		c.Println("█ " + name)
	}
}